Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xmerge
Class EmbeddedBinaryObject

    java.lang.Object
      writer2latex.xmerge.EmbeddedObject
          writer2latex.xmerge.EmbeddedBinaryObject

    public class EmbeddedBinaryObject

extends EmbeddedObject

This class represents embedded object's in an OpenOffice.org document that have a binary representation.

Field Summary
`protected byte[]` | `objData` The object's binary representation.

Fields inherited from class writer2latex.xmerge.EmbeddedObject
`hasChanged, objName, objType, zipFile`

Constructor Summary
`EmbeddedBinaryObject(java.lang.String name, java.lang.String type)` Constructor for an embedded object stored using an XML representation.
`EmbeddedBinaryObject(java.lang.String name, java.lang.String type, OfficeZip source)` Package private constructor for use when reading an object from a compressed SX?

Method Summary
`byte[]` | `getBinaryData()` This method returns the data for this object.
`void` | `setBinaryData(byte[] data)` Sets the data for this object.
`(package private) void` | `write(OfficeZip zip)` Package private method for writing the data of the EmbeddedObject to a SX?
`(package private) void` | `writeManifestData(org.w3c.dom.Document manifestDoc)` Package private method that constructs the manifest.xml entries for this embedded object.

Methods inherited from class writer2latex.xmerge.EmbeddedObject
`getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objData

    protected byte[] objData

  The object's binary representation.

Constructor Detail

### EmbeddedBinaryObject

    public EmbeddedBinaryObject(java.lang.String name,
                                java.lang.String type)

  Constructor for an embedded object stored using an XML representation.

  Parameters:
    `name` - The name of the object.
    `type` - The mime-type of the object. See the class summary.

### EmbeddedBinaryObject

    EmbeddedBinaryObject(java.lang.String name,
                         java.lang.String type,
                         OfficeZip source)

  Package private constructor for use when reading an object from a compressed SX? file.

  Parameters:
    `name` - The name of the object.
    `type` - The mime-type of the object. See the class summary.
    `source` - The OfficeZip representation of the SX? file that stores the object.

Method Detail

### getBinaryData

    public byte[] getBinaryData()

  This method returns the data for this object.

  Returns:
    A `byte` array containing the object's data.

### setBinaryData

    public void setBinaryData(byte[] data)

  Sets the data for this object.

  Parameters:
    `data` - A `byte` array containing data for the object.

### write

    void write(OfficeZip zip)

  Package private method for writing the data of the EmbeddedObject to a SX? file.

  Specified by:
    `write` in class `EmbeddedObject`
  Parameters:
    `zip` - An `OfficeZip` instance representing the file the data is to be written to.

### writeManifestData

    void writeManifestData(org.w3c.dom.Document manifestDoc)
                     throws org.w3c.dom.DOMException

  Package private method that constructs the manifest.xml entries for this embedded object.

  Specified by:
    `writeManifestData` in class `EmbeddedObject`
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD